% Input:
% dimension: integer (number of dimensions)

% Ouput:
% A: Matrix

% Description:
% Generates direction vectors (in positive and negative directions) along
% each axis and stores them row-wise in the output matrix

function [A] = vectorgenerator(dimension)
A = zeros(2*dimension,dimension);
for i = 1 : 1 : dimension
    A(2*i-1,i) = 1;
    A(2*i,i) = -1;
end;
